Ir para o conteúdo principal

Yoast SEO 4.5 pede que os usuários para atualizar para o PHP 7

Divi: o tema WordPress mais fácil de usar

Divi: O melhor tema WordPress de todos os tempos!

mais Downloads 600.000Divi é o tema WordPress mais popular do mundo. É completo, fácil de usar e vem com mais de modelos livres 62. [Recomendado]

Yoast SEO 4.5 foi lançado hoje com várias melhorias e, em particular, um grande incentivo para usuários que precisam atualizar para o PHP 7.

« No Yoast SEO 4.5, pedimos aos proprietários de sites cujos sites são executados em servidores com uma versão mais antiga do PHP que atualizem o PHP para uma versão mais recente., Diz Joost de Valk. " Para avançar na web, devemos assumir uma posição contra o software antigo, lento e perigoso. '

O requisito mínimo de PHP no WordPress ainda está no 5.2.4, seis anos após o final da vida do PHP 5.2 no 2011. Esta versão está agora vulnerável a muitos problemas de segurança. As estatísticas de uso atual mostram que o 5,4% dos sites WordPress usa uma versão 5.2 do PHP. Como isso provavelmente representa milhões de usuários, a liderança principal do WordPress reluta em atingir os requisitos mínimos. Somente sites 8% no PHP 7 +, uma vez que as empresas de hospedagem estão adicionando gradualmente esta nova versão.

Version de php mars 2017

« Como os hosts não estão fazendo a atualização do PHP, decidimos começar a solicitar isso, pois o plugin "Diz Jost de Valk. Ele afirma que o ecossistema do WordPress está perdendo bons desenvolvedores porque o projeto está se movendo muito lentamente. Ele também menciona o caso de segurança e velocidade.

Crie facilmente seu site com Elementor

Elementor permite criar facilmente qualquer design de site com uma aparência profissional. Pare de pagar caro pelo que você pode fazer por si mesmo. [Grátis]

« Às vezes, o WordPress é lento, mas não deve ser de todo, "Disse Valk. " Se estiver sendo executado em versões mais antigas do PHP, no entanto, é definitivamente mais lento. PHP 5.2 é mais que 100% mais lento que PHP 5.6 e mais lento que 400% 7 ".

Você está procurando os melhores temas e plugins do WordPress?

Baixe os melhores plugins e temas WordPress no Envato e crie facilmente o seu site. Já mais do que 49.720.000 downloads. [EXCLUSIVO]

De Valk decidiu instar os usuários do Yoast SEO, que ele estimam o milhão de instalações ativas do 6,5, a empurrar os hosts para atualizar seus clientes para o PHP 7. A versão mais recente do plug-in exibe um aviso aos administradores do site WordPress que estão usando uma versão 5.2 do PHP, solicitando que eles atualizem para o PHP 7. O aviso é " grande, feio e não revogável Disse Valk. É gerado por um erro que é resolvido automaticamente quando o usuário corrige sua versão do PHP.

"O aviso também incentivará as pessoas a entrar em contato com seus hosts se não souberem atualizar sua versão do PHP", diz Valk. "Sim, pode ser doloroso para alguns hospedeiros. Essa opinião é intencionalmente deliberada para fazê-los funcionar.

De Valk disse que o plug-in começará a postar as notificações para o PHP 5.2 e o adicionará para a versão do PHP 5,6 assim que não for mais suportado. Graças à experiência de seus clientes, a Valk descobriu que versões desatualizadas e lentas do PHP são prejudiciais à reputação do Yoast SEO e WordPress, pois são otimizadas para o PHP 5.2. Embora as versões mais antigas não impeçam novos recursos, é difícil para a equipe limpar o código e adaptá-lo a essas versões mais antigas.

"Não há muitos recursos que não posso construir no momento, mas a qualidade do código sofre porque não podemos usar espaços para nome, notação curta de gráficos, etc.", diz Valk.

A equipe do Yoast SEO criou " CHICOTE ", Um pacote WordPress para pressionar os usuários a atualizarem suas versões de software e código-fonte aberto para desenvolvedores de plugins e temas que eles podem adicionar em seu próprio software. O projeto inclui um filtro para o link para a página inicial do WordPress.org, que inclui uma seleção de hosts que oferecem PHP 7.

A maioria das grandes empresas de hospedagem já possui a documentação para atualizar as versões do PHP. No final, são os usuários que terão o poder de obter mais empresas de hospedagem. De Valk disse que não sabe qual será o impacto, mas incentiva os usuários a votar em sua carteira, deixando hosts que não estão dispostos a ajudá-los com a atualização do PHP.

Crie facilmente sua loja online

Baixe gratuitamente o WooCommerce, os melhores plugins de e-commerce para vender seus produtos físicos e digitais no WordPress. [Recomendado]

« Pode ser bem possível que seu host não esteja pronto para trabalhar com você, "Disse Valk. " Nesse caso, considere alterar o host da web. Um host da web fornece o mecanismo para o seu site, por isso é melhor usar um mecanismo que funcione bem ".

E voce Qual versão do PHP você usa? Se precisar de ajuda na migração, entre em contato.

Este artigo contém comentários 0

Deixe um comentário

Seu endereço de email não será publicado. Campos obrigatórios estão marcados com *

Este site usa Akismet para reduzir indesejados. Saiba mais sobre como seus dados de comentários são usados.

De volta ao topo
15 ações
ação12
chilrear
Enregistrer3